﻿@using SportsClub.Areas.Dashboard.Models.Settings
@model PartnerSettingViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Partner settings
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>
        <fieldset>
            <legend>Home</legend>
            <div class="input-control checkbox">
                <div class="input-control checkbox default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="checkbox" ng-model="Model.ShowWelcomeToJumbula" ng-value="false">
                        <span class="check"></span>
                        Show the welcome to Jumbula section in home
                    </label>
                </div>
            </div>
            <br />
            <div class="input-control checkbox">
                <div class="input-control checkbox default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="checkbox" ng-model="Model.ShowSchoolsInHome" ng-value="false">
                        <span class="check"></span>
                        Show the schools grid in home
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>
        <fieldset>
            <legend>Payment methods</legend>
            <div>
                <span class="message">Credit card payments - processed by Stripe or Authorize.Net</span>
            </div>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadStripeSettingsFromMember" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadStripeSettingsFromMember" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>
        <fieldset>
            <legend>Auto charge policy</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadAutoChargePolicyFromMember" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadAutoChargePolicyFromMember" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <legend>Programs policy</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadProgramsPolicyFromMember" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadProgramsPolicyFromMember" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <legend>Invoicing</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadInvoiceSettingsfromPartner" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadInvoiceSettingsfromPartner" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <legend>Help information</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.HelpInformationFromPartner" ng-value="true">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.HelpInformationFromPartner" ng-value="false">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <legend>Class confirmation and cancellation emails</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.NotificationEmailFromPartner" ng-value="true">
                        <span class="check"></span>
                        Read email body from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.NotificationEmailFromPartner" ng-value="false">
                        <span class="check"></span>
                        Read email body from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>
        <div class="clearfix"></div>

        <div class="clearfix"></div>
        <div>
            <div class="legend-like">
                <span style="display:block">"Already a member / New family" dialog box</span>
                <div id="loginTabs" class="jb-tooltip" style="margin-bottom: 5px;">
                    <span ng-click="toggleTooltip('loginTabs','/Areas/Dashboard/Content/Image/change-login-tabs.png','left')" class="info-icon">i</span>
                    <div class="tooltip-content"></div>
                </div>
            </div>

            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadLoginTabFromPartner" ng-value="true">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadLoginTabFromPartner" ng-value="false">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </div>

        <div>
            <div class="legend-like">
                New family notification message
                <div id="familyNotification" class="jb-tooltip">
                    <span ng-click="toggleTooltip('familyNotification','/Areas/Dashboard/Content/Image/family-notification-message-img.png','center')" class="info-icon">i</span>
                    <div class="tooltip-content"></div>
                </div>
            </div>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadMessageNewFamilyFromPartner" ng-value="true">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadMessageNewFamilyFromPartner" ng-value="false">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </div>

        <div class="clearfix"></div>

        <fieldset>
            <legend>Dependent care receipt</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadDependentCareReportInfoFromMember" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadDependentCareReportInfoFromMember" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>


        <fieldset>
            <legend>GA settings</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadGASettingFromPartner" ng-value="true">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadGASettingFromPartner" ng-value="false">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <legend>Duplicate enrollments</legend>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadDuplicateEnrollmentsFromMember" ng-value="false">
                        <span class="check"></span>
                        Read from partner
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control">
                    <label class="block">
                        <input type="radio" ng-model="Model.ReadDuplicateEnrollmentsFromMember" ng-value="true">
                        <span class="check"></span>
                        Read from member
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>
        <fieldset>
            <legend>Staff</legend>
            <div class="input-control ">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input type="checkbox" ng-model="Model.SendEmailProvider">
                        <span class="check"></span>
                        Email provider after inviting an instructor
                    </label>
                </div>
                <div class="clearfix"></div>
                <div ng-show="Model.SendEmailProvider">
                    <label class="req-star" for="@Html.Ang(m => m.EmailContent)">Email content</label>
                    <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model => model.EmailContent)>
                        <textarea ng-required="true" ng-model="@Html.Ang(m => m.EmailContent)" @Html.AngTooltipValidationFor(model => model.EmailContent)>
                                  </textarea>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>
        <div class="clearfix"></div>
        <fieldset>
            <legend>
                Catalog
            </legend>
            <label>Price option fee input box label</label>
            <div class="place-left one-half">
                <div class="input-control text" data-role="input-control">
                    <input ng-model="Model.PriceOptionFeeInputBoxLabel" name="From" type="text">
                </div>
            </div>
            <div class="clearfix"></div>
            <div>
                <label>
                    Price option note
                </label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="Model.PriceOptionNote"></textarea>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="input-control check">
                <div class="input-control checkbox default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="checkbox" ng-model="Model.ShowGenderForCatalog">
                        <span class="check"></span>
                        Show gender restriction in catalog
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>
        </fieldset>
        <hr />
        <button ngaction="Settings_Partner_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    </form>

    <div class="clearfix"></div>
</div>

